## org.eclipse.emf.codegen.util
Class CodeGenUtil.StreamProgressMonitor

    java.lang.Object
      org.eclipse.core.runtime.NullProgressMonitor
          org.eclipse.emf.codegen.util.CodeGenUtil.EclipseUtil.StreamProgressMonitor
              org.eclipse.emf.codegen.util.CodeGenUtil.StreamProgressMonitor

All Implemented Interfaces:
  IProgressMonitor

Enclosing class:
  CodeGenUtil

Deprecated. As of EMF 2.2, moved to `EcoreUtil`.

    @Deprecated
    public static class CodeGenUtil.StreamProgressMonitor

extends CodeGenUtil.EclipseUtil.StreamProgressMonitor

This is a progress monitor that prints the progress information to a stream.

Field Summary

Fields inherited from class org.eclipse.emf.codegen.util.CodeGenUtil.EclipseUtil.StreamProgressMonitor
`printStream`

Fields inherited from interface org.eclipse.core.runtime.IProgressMonitor
`UNKNOWN`

Constructor Summary
`CodeGenUtil.StreamProgressMonitor(java.io.PrintStream printStream)` Deprecated.

Method Summary

Methods inherited from class org.eclipse.emf.codegen.util.CodeGenUtil.EclipseUtil.StreamProgressMonitor
`beginTask, setTaskName, subTask`

Methods inherited from class org.eclipse.core.runtime.NullProgressMonitor
`done, internalWorked, isCanceled, setCanceled, worked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeGenUtil.StreamProgressMonitor

    public CodeGenUtil.StreamProgressMonitor(java.io.PrintStream printStream)

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.